/**
 * Created by fran lopez on 9/11/15.
 */

    /**
     * CommonJS module to define a e2e test to check operations with
     * book images using the views defined in path
     * "/public/bookImages/views".
     */

    describe('Book Images E2E Tests:', function() {
        describe('Test for book images', function() {
            it('Should not be able to find book images, because the book ID used in the URL is wrong', function() {

                browser.get('http://localhost:3000/#!/bookImages/fds45a4dsa6a');
                expect(element(by.id('errorLabel')).isPresent()).toBe(true);
            });

            it('Should be able to find book images, because the book ID used in the URL is correct', function() {

                browser.get('http://localhost:3000/#!/bookImages/56b8eb6864b00a08110a9959');
                expect(element(by.css('li label')).isPresent()).toBe(true);
            });
        });
    });